Bug 64953 - 32M memory + 32M swap insufficient for minimal install
32M memory + 32M swap insufficient for minimal install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-14 20:45 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-14 20:45:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-14 20:45:30 EDT
Description of Problem:
* Minimal install on machine w/32M memory + 32M swap burps thusly:
  -------------------------------------------------------------------------
  Traceback (innermost last):
    File "/usr/bin/anaconda", line 633, in ?
      intf.run(id, dispatch, configFileData)
    File "/usr/src/build/90289-i386/install//usr/lib/anaconda/text.py",
      line 427, in run
    File "/usr/src/build/90289-i386/install//usr/lib/anaconda/dispatch.py",
      line 144, in gotoNext
    File "/usr/src/build/90289-i386/install//usr/lib/anaconda/dispatch.py",
      line 209, in moveStep
    File "/usr/src/build/90289-i386/install//usr/lib/anaconda/packages.py",
      line 573, in doInstall
    File "/usr/src/build/90289-i386/install//usr/lib/anaconda/syslogd.py",
      line 63, in start
  OSError: [Errno 12] Cannot allocate memory
  -------------------------------------------------------------------------
* Install failed
* However, install with 32M memory + 64M swap worked fine


Version-Release number of selected component (if applicable):


How Reproducible:
* Find a machine with 32M memory and try installing with 32M swap


Steps to Reproduce:
1. Use Disk Druid to partition 32M for swap
2. Custom install
3. Uncheck all packages
4. Watch it give the error message above

Actual Results:
* Nasty error message and failure


Expected Results:
* Perfect install


Additional Information:
* What is the minimum memory/swap requirement?
Comment 1 Michael Fulbright 2002-05-20 15:26:25 EDT
You need more than 32M of swap if you only have 32M of RAM.
Comment 2 Need Real Name 2002-05-20 19:34:57 EDT
Thanks!  The documentation:

http://www.redhat.com/docs/manuals/linux/RHL-7.3-Manual/install-guide/s1-diskpar
titioning.html#S2-DISKPARTRECOMMEND

says the following:
> The size of your swap partition should be equal to twice your computer's RAM,
> or 32 MB, whichever amount is larger, but no more than 2048 MB (or 2 GB).

In addition, the 7.1 Release Notes:

http://www.redhat.com/docs/manuals/linux/RHL-7.1-Manual/release-notes/s1-install
-changes.html

recommend more swap space than the 7.3 manual does.  I'm not sure how
Disk Druid allocates swap.

Note You need to log in before you can comment on or make changes to this bug.